Bug 3614 - Drop support for Solaris as server and client platform
Summary: Drop support for Solaris as server and client platform
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: Other (show other bugs)
Version: 3.1.1
Hardware: PC Unknown
: P2 Normal
Target Milestone: 4.5.0
Assignee: Henrik Andersson
URL:
Keywords: derfian_tester, relnotes, samuel_tester
Depends on:
Blocks:
 
Reported: 2010-10-04 12:06 CEST by Peter Åstrand
Modified: 2016-12-05 12:01 CET (History)
1 user (show)

See Also:
Acceptance Criteria:


Attachments

Comment 1 Peter Åstrand cendio 2015-03-25 12:26:49 CET
We have decided that 4.4.0 will be the last version with support for Solaris.
Comment 2 Pierre Ossman cendio 2015-06-11 12:05:25 CEST
Builds of the client and server have now been disabled on the top level. Still need to clean up all the Solaris things in the ctc tree though.
Comment 3 Pierre Ossman cendio 2015-06-11 12:46:54 CEST
The Solaris build environment has now been removed from cenbuild.
Comment 4 Henrik Andersson cendio 2015-06-17 12:04:33 CEST
The only trace left of sparc in build environment is the patch base/src/glibc-2.5.1-inline.patch which also affects other platforms and should be left alone.
Comment 5 Henrik Andersson cendio 2015-06-18 10:37:28 CEST
Remove build related parts:

ctc/client    - r30407
ctc/printer   - r30408
ctc/rdesktop  - r30409
ctc/tladm     - r30410
ctc/tlmisc    - r30412
ctc/vnc       - r30413
ctc/vsm       - r30414
ctc/webaccess - r30415
ctc/          - r30416
Comment 6 Henrik Andersson cendio 2015-06-18 16:20:03 CEST
Remove of solaris related code in ctc/vsm

vsm/tl-session.c - r30417
vsm/modules/thinlinc/vsm/vsmagent.py - r30418
vsm/vsmagent.hconf - r30419
vsm/install_initd - r30420
vsm/lsh-pam-checkpw.c - r30421
vsm/modules/thinlinc/vsm/vsmxmlrpccall.py - r30422
vsm/modules/thinlinc/vsm/loadinfokeeper.py - r30423
vsm/log_sysinfo.sh - r30424
vsm/remove_service - r30425
vsm/modules/thinlinc/vsm/handler_reqsession.py - r30426
vsm/modules/thinlinc/ctccommon.py - r30427
vsm/modules/thinlinc/vsm/handler_verifysession.py - r30428
vsm/modules/thinlinc/vsm/handler_unbindports.py - r30429
Comment 7 Henrik Andersson cendio 2015-06-22 08:33:48 CEST
Remove of Solaris related parts from installer:

Fixed in commit 30434.
Comment 8 Henrik Andersson cendio 2015-06-22 08:47:51 CEST
(In reply to comment #5)
> Remove build related parts:
> 
> ctc/tlmisc    - r30412

Removed missed linkkit in r30435.
Comment 9 Henrik Andersson cendio 2015-06-22 08:54:33 CEST
Remove of solaris related code from tlmisc:

modules/thinlinc/systemtype.py - r30436
modules/thinlinc/tl_umount_common.py - 30437
profiles/profiles.hconf.in - 30438
scripts/tl-mount-localdrives - 30439
scripts/tl-umount-localdrives - 30440
tl-desktop/bin/tl-desktop-activate.sh - 30441
tl-setup/modules/thinlinc/tlsetup/services.py - 30442
Comment 10 Henrik Andersson cendio 2015-06-22 10:29:51 CEST
Remove solaris related code from documentation:

ctc/doc/external - r30443
ctc/doc/internal - r30444
ctc/doc/whitepapers - r30445
ctc/doc/release-notes - r30446
Comment 11 Henrik Andersson cendio 2015-06-22 10:35:44 CEST
(In reply to comment #9)
> Remove of solaris related code from tlmisc:
> 
> profiles/profiles.hconf.in - 30438

Removed CDE profile in commit 30447, 30448.
Comment 12 Henrik Andersson cendio 2015-06-22 10:50:57 CEST
Consider remove OPERATING_SYSTEM from systemtype.py and the use for it now when we  have removed solaris support.
Comment 13 Henrik Andersson cendio 2015-06-22 10:53:45 CEST
(In reply to comment #12)
> Consider remove OPERATING_SYSTEM from systemtype.py and the use for it now when
> we  have removed solaris support.

Fixed in commit 30449.
Comment 14 Henrik Andersson cendio 2015-06-22 11:14:24 CEST
Consider to rename serverkit-linux to packages now when don't support other platforms than linux.
Comment 15 Henrik Andersson cendio 2015-06-22 11:21:53 CEST
(In reply to comment #14)
> Consider to rename serverkit-linux to packages now when don't support other
> platforms than linux.

Fixed in commit r30450
Comment 16 Henrik Andersson cendio 2015-06-22 12:28:21 CEST
Consider rename linkkit-linux / linkkit-linux64 to linkkit-i686 / linkkit-x86_64
Comment 17 Henrik Andersson cendio 2015-06-22 12:53:59 CEST
(In reply to comment #11)
> (In reply to comment #9)
> > Remove of solaris related code from tlmisc:
> > 
> > profiles/profiles.hconf.in - 30438
> 
> Removed CDE profile in commit 30447, 30448.

Additional fix in commit 30454.
Comment 18 Henrik Andersson cendio 2015-06-22 12:59:24 CEST
(In reply to comment #16)
> Consider rename linkkit-linux / linkkit-linux64 to linkkit-i686 /
> linkkit-x86_64

Fixed in commit 30455.
Comment 19 Pierre Ossman cendio 2015-06-23 12:22:35 CEST
(In reply to comment #6)
> vsm/tl-session.c - r30417

Still has some Solaris specific comments regarding process title.

> vsm/vsmagent.hconf - r30419

Forgot to change the corresponding parts in sessionstart.py.
The default PATH also contains Solaris things.

> vsm/modules/thinlinc/vsm/handler_verifysession.py - r30428

Still has some Solaris comment, and possibly code.

Otherwise vsm/ looks fine.
Comment 20 Pierre Ossman cendio 2015-06-23 13:04:01 CEST
(In reply to comment #7)
> Remove of Solaris related parts from installer:
> 
> Fixed in commit 30434.

Still has some Solaris specific import magic in tlinstaller.
Comment 21 Pierre Ossman cendio 2015-06-23 13:09:19 CEST
(In reply to comment #13)
> (In reply to comment #12)
> > Consider remove OPERATING_SYSTEM from systemtype.py and the use for it now when
> > we  have removed solaris support.
> 
> Fixed in commit 30449.

Looks good.

(In reply to comment #15)
> (In reply to comment #14)
> > Consider to rename serverkit-linux to packages now when don't support other
> > platforms than linux.
> 
> Fixed in commit r30450

Also good.
Comment 22 Pierre Ossman cendio 2015-06-23 13:15:21 CEST
(In reply to comment #10)
> Remove solaris related code from documentation:
> 
> ctc/doc/external - r30443

What was used to indent these changes? indent-all gives a different result.

> ctc/doc/release-notes - r30446

Oracle is still in the template. Do we still need that?
Comment 23 Henrik Andersson cendio 2015-06-23 15:48:58 CEST
(In reply to comment #19)
> (In reply to comment #6)
> > vsm/tl-session.c - r30417
> 
> Still has some Solaris specific comments regarding process title.
>

Fixed in commit r30481
 
> > vsm/vsmagent.hconf - r30419
> 
> Forgot to change the corresponding parts in sessionstart.py.
> The default PATH also contains Solaris things.
> 

Actually this is something i missed; /usr/openwin and /usr/dt is solaris specific and should be removed from the product.

Fixed in commit r30485.

> > vsm/modules/thinlinc/vsm/handler_verifysession.py - r30428
> 
> Still has some Solaris comment, and possibly code.
>

Removed the comment in commit r30486 and left code untouched.
Comment 24 Henrik Andersson cendio 2015-06-23 16:03:18 CEST
(In reply to comment #20)
> (In reply to comment #7)
> > Remove of Solaris related parts from installer:
> > 
> > Fixed in commit 30434.
> 
> Still has some Solaris specific import magic in tlinstaller.

Actually it's also in tlsetup. Had if scribbled on paper to take up for discussion. Results of discussion. Remove try/catch

Fixed in commit r30487.
Comment 25 Henrik Andersson cendio 2015-06-23 16:07:06 CEST
(In reply to comment #22)
> > ctc/doc/external - r30443
> 
> What was used to indent these changes? indent-all gives a different result.
> 

Fixed in commit 30488.

> > ctc/doc/release-notes - r30446
> 
> Oracle is still in the template. Do we still need that?

Yes, we hare mentioning Oracle Linux as a potential ThinLinc platform.
Comment 26 Pierre Ossman cendio 2015-06-23 16:44:39 CEST
(In reply to comment #9)
> Remove of solaris related code from tlmisc:
> 

nss-passwdaliases still references Solaris, as does tl-setup, and tlmisc/Makefile.

> profiles/profiles.hconf.in - 30438

Looks ok, and gnome still works.

> modules/thinlinc/tl_umount_common.py - 30437
> scripts/tl-mount-localdrives - 30439
> scripts/tl-umount-localdrives - 30440

No problems mounting and unmounting drives.

> tl-desktop/bin/tl-desktop-activate.sh - 30441

$ID is only used in a single place, so perhaps we can simplify this further?
Comment 27 Pierre Ossman cendio 2015-06-23 16:47:00 CEST
(In reply to comment #11)
> (In reply to comment #9)
> > Remove of solaris related code from tlmisc:
> > 
> > profiles/profiles.hconf.in - 30438
> 
> Removed CDE profile in commit 30447, 30448.

Cannot find any remnants of CDE (except translations, which will be updated later).
Comment 28 Pierre Ossman cendio 2015-06-23 16:51:52 CEST
(In reply to comment #18)
> (In reply to comment #16)
> > Consider rename linkkit-linux / linkkit-linux64 to linkkit-i686 /
> > linkkit-x86_64
> 
> Fixed in commit 30455.

I cannot see any linkkit in the server bundle?
Comment 29 Pierre Ossman cendio 2015-06-24 10:42:29 CEST
installer, vsm and doc all look fine now.
Comment 30 Pierre Ossman cendio 2015-06-25 11:11:49 CEST
(In reply to comment #26)
> (In reply to comment #9)
> > Remove of solaris related code from tlmisc:
> > 
> 
> nss-passwdaliases still references Solaris, as does tl-setup, and
> tlmisc/Makefile.
> 

And tl-certtool/tl-crltool
Comment 31 Pierre Ossman cendio 2015-06-25 11:27:22 CEST
client/tlclient fixed in r30496.
client/pcsctun cleaned up in r30497.
Comment 32 Pierre Ossman cendio 2015-06-25 13:20:34 CEST
(In reply to comment #30)
> (In reply to comment #26)
> > (In reply to comment #9)
> > > Remove of solaris related code from tlmisc:
> > > 
> > 
> > nss-passwdaliases still references Solaris, as does tl-setup, and
> > tlmisc/Makefile.
> > 
> 
> And tl-certtool/tl-crltool

And systemtype.py
Comment 33 Karl Mikaelsson cendio 2015-06-25 13:26:21 CEST
A whole bunch of Makefiles reference Solaris package names (CENDthinlinc*).
Comment 34 Karl Mikaelsson cendio 2015-06-25 13:28:43 CEST
nss-passwdaliases fixed in r30498.
tl-certtool and tl-crltool fixed in r30499.
tlmisc/Makefile fixed in r30500.
systemtype.py fixed in r30501.
Comment 35 Pierre Ossman cendio 2015-06-25 13:31:10 CEST
Removed Solaris build tools in r30502 and removed the Solaris line from copy-to-webbserver in r30503.
Comment 36 Pierre Ossman cendio 2015-06-25 13:39:20 CEST
(In reply to comment #33)
> A whole bunch of Makefiles reference Solaris package names (CENDthinlinc*).

Fixed in r30504.
Comment 37 Pierre Ossman cendio 2015-06-25 14:56:30 CEST
The sunstart/sunstop arguments can be removed now from install_service/remove_service and tl-setup's services.py.
Comment 38 Karl Mikaelsson cendio 2015-06-25 17:30:35 CEST
(In reply to comment #37)
> The sunstart/sunstop arguments can be removed now from
> install_service/remove_service and tl-setup's services.py.

install_service fixed in r30506.
remove_service fixed in r30507.
Comment 39 Karl Mikaelsson cendio 2015-06-29 11:11:32 CEST
(In reply to comment #38)
> install_service fixed in r30506.
> remove_service fixed in r30507.

Syntax checks in both of these fixed in r30524.
Comment 40 Samuel Mannehed cendio 2015-07-03 16:28:19 CEST
I can't find anything in tlmisc related to Solaris. And have tested the following scripts:

tl-mount-localdrives
tl-umount-localdrives
tl-setup

We still have to verify that the changes to the following files havn't broken anything:

tl-desktop-activate.sh
nss-passwdaliases
tl-certtool
tl-crltool

After that I think we are finished with testing the tlmisc part of this bug.
Comment 41 Pierre Ossman cendio 2015-07-15 11:01:49 CEST
(In reply to comment #40)
> We still have to verify that the changes to the following files havn't broken
> anything:
> 
> tl-desktop-activate.sh
> nss-passwdaliases
> tl-certtool
> tl-crltool
> 

All of these had very trivial code removal, so no need for extensive testing. Considering tlmisc testing done.
Comment 42 Pierre Ossman cendio 2015-07-15 11:02:10 CEST
All part should now be tested. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.